Subject: Re: [Pals] Mirja Kühlewind's No Objection on draft-ietf-pals-ethernet-cw-06: (with COMMENT)

From: Stewart Bryant <[email-masked]>
Date: Mon, 2 Jul 2018 11:23:06 +0100

On 18/06/2018 11:41, Mirja Kühlewind wrote:
> Mirja Kühlewind has entered the following ballot position for
> draft-ietf-pals-ethernet-cw-06: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-pals-ethernet-cw/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> One minor recommend edit:
> Given that this drafts updates RFC4448 to a MUST, maybe s/This document
> recommends /This document requires/
>
>

Hi Mirja

There is some history here, that I explained in my response to Brian's 
GenArt
review, but which you may not see:

The text with the MUST is

"This document updates {{RFC4448}} to state that
where both the ingress PE and the egress PE support the Ethernet
pseudowire control word, then the CW MUST be used."

This is conditional on both equipments supporting the feature.

During WG discussion there was a lot of discussion on the degree to
which we would mandate the migration to CW.  The problem is that
the use of the CW has hardware implications. At one stage we went
so far as to recommend the the phasing out of equipment that could
not support the CW, but we got strong pushback from a specialist part
of the vendor community. This led us to a compromise position where
we RECOMMEND the use of the CW, but only  mandate that the CW be
used if it is available in the equipment used at both ends of
the PW.

Best Regards

Stewart